targetclid(8)

NAME
targetclid - daemon component for targetcli

DESCRIPTION
targetclid is the daemon component of targetcli, which will help retain state of various configfs object in memory, hence any new request/command can directly use the in memory objects instead of reconstructing them by parsing through the entire configfs files again and again for each and every single command. This will greatly improve the overall execution time taken by targetcli commands at scale.

USAGE
targetclid [cmd]
--help for additional usage information.
--version for version information.

QUICKSTART & EXAMPLES

To start using the daemon, one need to enable targetclid socket,
    $ systemctl enable targetclid.socket

If you would like to use the daemonized approach as default method then,
    $ targetcli set global auto_use_daemon=true
    $ targetcli ls

You can use interactive mode,
    $ targetcli <hit-enter>
    targetcli shell version 2.1.51
    Entering targetcli interactive mode for daemonized approach.
    Type 'exit' to quit.
    /> pwd
    /
    /> cd /iscsi
    /> pwd
    /iscsi
    /> exit

You can also use batch mode for sending multiple commands in one go,
    $ targetcli set global daemon_use_batch_mode=true
    Parameter daemon_use_batch_mode is now 'true'.
    $ targetcli <hit-enter>
    targetcli shell version 2.1.51
    Entering targetcli batch mode for daemonized approach.
    Enter multiple commands separated by newline and type 'exit' to run them all in one go.
    /> ls
    /> pwd
    /> get global loglevel_file
    /> exit

You can set preference to stop using daemonized mode even when the daemon is not running,
    $ targetcli --disable-daemon

FILES
/etc/target/saveconfig.json
/etc/target/backup/*
/var/run/targetclid.sock
/var/run/targetclid.pid

ENVIRONMENT

  TARGETCLI_HOME
If set, this variable points to a directory that should be used instead of ~/.targetcli

SEE ALSO
targetcli(8), targetctl(8), tcmu-runner(8)

AUTHOR
Written by Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
Man page written by Prasanna Kumar Kalever <prasanna.kalever@redhat.com>

REPORTING BUGS
Report bugs via <targetcli-fb-devel@lists.fedorahosted.org>
or <https://github.com/open-iscsi/targetcli-fb/issues>